Status: Closed

Priority: Normal

Assignee: Victor Olaya
Affected QGIS version:2.10.1 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21276

Description

Dear all,

when trying to do an EdgeExtract in Orpheo tools in QGIS 2.10 Pisa I get the following error, no matter what I do (including trying to put

the in- and output files in C:\\tmp to be sure there is no problem with spaces, special characters or length of paths):

Algorithm EdgeExtraction (touzi) starting...

unsupported operand type(s) for +: 'NoneType' and 'str' See log for more details

I just discovered these threads while searching for my problem:

http://otb-users.narkive.com/wluuPRfl/orfeo-segmenation-tools-in-qgis-2-6-unsupported-operand-type-s-for#post9

https://groups.google.com/forum/?hl=en#!searchin/otb-users/operand/otb-users/_Lrd1Gsyws0/XdAJCh8hs5AJ

where they propose to file a bug report to the QGis community. Is there anything I can do right now to get around this problem?

Thanks in advance and best regards 

Jan

Associated revisions

Revision ea712c6c - 2015-09-30 09:44 AM - Victor Olaya

[processing] prevent otb algorithms being run if otb not configured

fixes #13215

History

#1 - 2015-08-13 02:00 AM - Jan Peters-Anders

I tracked this issue a bit more: This is the actual log entry for the above problem:

__015-08-13T10:52:47    2    Uncaught error while executing algorithm

            Traceback (most recent call last):

            Traceback (most recent call last):|  File "C:/OSGEO4~1/apps/qgis/./python/plugins\\processing\\core\\GeoAlgorithm.py", line 227, in

execute|    self.processAlgorithm(progress)|  File "C:/OSGEO4~1/apps/qgis/./python/plugins\\processing\\algs\\otb\\OTBAlgorithm.py", line 186, in

processAlgorithm|TypeError: unsupported operand type(s) for +: 'NoneType' and 'str'|__
http://otb-users.narkive.com/wluuPRfl/orfeo-segmenation-tools-in-qgis-2-6-unsupported-operand-type-s-for#post9
https://groups.google.com/forum/?hl=en#!searchin/otb-users/operand/otb-users/_Lrd1Gsyws0/XdAJCh8hs5AJ


I also tried to see if there was a problem with my Python installation but also the .pyc files are all compiled with the bundled 2.7 version, so it seems it

should not be a version problem of Python (correct me if I'm wrong). The above problem seems also to occur with all the other Orfeo functions in the

Processing Toolbox according to some random checks.

#2 - 2015-08-13 04:29 AM - Jürgen Fischer

Jan Peters-Anders wrote:

I tracked this issue a bit more: This is the actual log entry for the above problem:

[...]

In line 186 the otbPath is apparently None instead if an empty string.  In the latter case it would have told you to configure the OTB path.  I suppose that's

still what you have to do.

#3 - 2015-09-30 12:46 AM - Victor Olaya

- Status changed from Open to Closed

Fixed in changeset commit:"ea712c6c231ab98a5ce47fdf9ab56574e9105d57".

#4 - 2017-05-01 10:58 AM - Giovanni Manghi

- Regression? set to No

#5 - 2017-05-01 11:01 AM - Giovanni Manghi

- Easy fix? set to No

#6 - 2017-05-01 11:04 AM - Giovanni Manghi

Some providers are being removed from QGIS/Processing (will be available as plugin) and so are their categories in the bug tracker. To not leave them

orphaned of a category they are being reassigned to processing/core.

#7 - 2017-05-01 11:06 AM - Giovanni Manghi

- Category changed from 120 to Processing/Core
https://github.com/qgis/QGIS/blob/release-2_10/python/plugins/processing/algs/otb/OTBAlgorithm.py#L186

